<?php
	define('SFTP_SERVER', 'put server name');
	define('SFTP_PORT', 22);
	define('SFTP_USERNAME', 'put username');
	define('SFTP_PASSWORD', 'put password');
	
	define('TEST_FILE_PATH', '/put/path/to/test/TESTFILE.txt');

	// open SSH session
	$connection = ssh2_connect(SFTP_SERVER, SFTP_PORT);
	if ($connection === FALSE) die("ssh2_connect returned FALSE\n");
	
	$auth = ssh2_auth_password($connection, SFTP_USERNAME, SFTP_PASSWORD);
	if ($auth === FALSE) die("ssh2_auth_password returned FALSE\n");
	
	$sftp = ssh2_sftp($connection);
	if ($sftp === FALSE) die("ssh2_sftp returned FALSE\n");
	
		// open file
		$stream = fopen("ssh2.sftp://$sftp". TEST_FILE_PATH, 'r');
		if ($stream == FALSE) die ("fopen returned FALSE\n");
		
			echo "Starting tests...\n";
			
			// read 20 bytes
			echo "Position: " . ftell($stream) . "\n";
			echo "Read...\n";
			//$read = fread($stream, 20);
			echo "Read bytes: " . $read . "\n";
			
			// seek - 2 to the beginning
			echo "Fseek...\n";
			$seek_rvalue = fseek($stream, 0, SEEK_SET);
			if ($seek_rvalue !== 0) die("fseek returned value != 0: " . $seek_rvalue . "\n");
			echo "Position: " . ftell($stream) . "\n";
			
			// read 1st line (hopefully)
			$line = fgets($stream);
			echo "line 1: " . $line;

			// read 2nd line (hopefully)
			$line = fgets($stream);
			echo "line 2: " . $line;
			
			// read 3rd line (hopefully)
			$line = fgets($stream);
			echo "line 3: " . $line;
			
			echo "Tests done\n";
			
		// close file
		fclose($stream);
	
	// close SSH session
	ssh2_exec($connection, 'exit');
	unset($connection);
?>